Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsxe
Class EBMessage

    java.lang.Object
      net.sourceforge.jsxe.EBMessage

Direct Known Subclasses:
  DocumentBufferUpdate, PropertyChanged

public abstract class EBMessage
extends Object

The base class of all EditBus messages.

Message classes extending this class typically add other data members and methods to provide subscribers with whatever is needed to handle the message appropriately.

Message types sent by jEdit can be found in the `net.sourceforge.jsxe.msg` package.

Since:
  jsXe 0.5 pre1
Version:
  $Id$
Author:
  Ian Lewis (IanLewis@member.fsf.org), Slava Pestov, John Gellene (API documentation)

Constructor Summary
`EBMessage(EBListener source)` Creates a new message.
`EBMessage(Object source)` Creates a new message.

Method Summary
`Object` | `getSource()` Returns the sender of this message.
`String` | `paramString()` Returns a string representation of this message's parameters.
`String` | `toString()` Returns a string representation of this message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EBMessage

    public EBMessage(Object source)

  Creates a new message.

Parameters:
  `source` - The message source

### EBMessage

    public EBMessage(EBListener source)

  Creates a new message.

Parameters:
  `source` - The message source

Method Detail

### getSource

    public Object getSource()

  Returns the sender of this message.

### toString

    public String toString()

  Returns a string representation of this message.

### paramString

    public String paramString()

  Returns a string representation of this message's parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD